<script setup>
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import ItemLot from "@/Components/Items/Lots/ItemLot.vue";
import ItemNavBlock from "@/Components/Items/Lots/ItemNavBlock.vue";
import ItemMarketMobile from "@/Components/Items/Market/ItemMarketMobile.vue";
import LotFilter from "@/Components/Filters/LotFilter.vue";
import Pagination from "@/Components/Pagination.vue";
import MenuItemLots from "@/Components/Items/Lots/MenuItemLots.vue";
import axios from "axios";
import {ref} from "vue";
import {Head} from "@inertiajs/vue3";

const props = defineProps({
    'item':Object,
    'filters':Object,
    'game':Object,
    'category':Object,
    'lots':Object,
});

const form = ref({
    huge: [],
    text: [],
    color: [],
});
const itemLots = ref(props.lots);

const submit = async() => {
    axios.get(route(route().current(),{
        game:props.game.id,
        category:props.category.id,
        item:props.item.id,
    }), {
        params: {
            huge:form.value.huge,
            text:form.value.text,
            color:form.value.color,
        }
    }).then(function (response) {
        console.log(itemLots.value);
        itemLots.value.data = response.data.data

    })
        .catch(function (error) {
            console.log(error);
    })
};

</script>

<template>
    <AuthenticatedLayout :marketTopLeftTitle="game.name" >
        <Head :title="'Предмет '+item.name"/>
        <LotFilter :filters="props.filters"
                   :game="props.game"
                   :form="form"
                    @submitFilter="submit"
        />
        <div class="marketBottom__right marketBottom__market2 noMobile">
            <div class="marketBottom__market2-top">
                <ItemNavBlock :item="item" :category="category"  />
            </div>
            <div class="marketBottom__market2-content">
                <item-lot v-for="lot in itemLots.data"
                          :lot="lot"
                          :index="lot.id">
                    <MenuItemLots :item="item" :category="category" :lot="lot"/>
                </item-lot>
            </div>
<!--            <pagination :items="props.lots" :links="lots.links" :meta="lots.meta" />-->
        </div>
       <ItemMarketMobile/>
    </AuthenticatedLayout>
</template>


